Loading...
Searching...
No Matches
(deprecated) AuthZ client subsystem
Client supporting subsystem

The new authentication system allows the RA layer to "pull" information as needed from libsvn_client. More...

## Functions

void | svn_client_get_simple_prompt_provider (svn_auth_provider_object_t **provider, svn_auth_simple_prompt_func_t prompt_func, void *prompt_baton, int retry_limit, apr_pool_t *pool)
| Create and return *provider, an authentication provider of type svn_auth_cred_simple_t that gets information by prompting the user with prompt_func and prompt_baton.
void | svn_client_get_username_prompt_provider (svn_auth_provider_object_t **provider, svn_auth_username_prompt_func_t prompt_func, void *prompt_baton, int retry_limit, apr_pool_t *pool)
| Create and return *provider, an authentication provider of type svn_auth_cred_username_t that gets information by prompting the user with prompt_func and prompt_baton.
void | svn_client_get_simple_provider (svn_auth_provider_object_t **provider, apr_pool_t *pool)
| Create and return *provider, an authentication provider of type svn_auth_cred_simple_t that gets/sets information from the user's ~/.subversion configuration directory.
void | svn_client_get_windows_simple_provider (svn_auth_provider_object_t **provider, apr_pool_t *pool)
| Create and return *provider, an authentication provider of type svn_auth_cred_simple_t that gets/sets information from the user's ~/.subversion configuration directory.
void | svn_client_get_username_provider (svn_auth_provider_object_t **provider, apr_pool_t *pool)
| Create and return *provider, an authentication provider of type svn_auth_cred_username_t that gets/sets information from a user's ~/.subversion configuration directory.
void | svn_client_get_ssl_server_trust_file_provider (svn_auth_provider_object_t **provider, apr_pool_t *pool)
| Create and return *provider, an authentication provider of type svn_auth_cred_ssl_server_trust_t, allocated in pool.
void | svn_client_get_ssl_client_cert_file_provider (svn_auth_provider_object_t **provider, apr_pool_t *pool)
| Create and return *provider, an authentication provider of type svn_auth_cred_ssl_client_cert_t, allocated in pool.
void | svn_client_get_ssl_client_cert_pw_file_provider (svn_auth_provider_object_t **provider, apr_pool_t *pool)
| Create and return *provider, an authentication provider of type svn_auth_cred_ssl_client_cert_pw_t, allocated in pool.
void | svn_client_get_ssl_server_trust_prompt_provider (svn_auth_provider_object_t **provider, svn_auth_ssl_server_trust_prompt_func_t prompt_func, void *prompt_baton, apr_pool_t *pool)
| Create and return *provider, an authentication provider of type svn_auth_cred_ssl_server_trust_t, allocated in pool.
void | svn_client_get_ssl_client_cert_prompt_provider (svn_auth_provider_object_t **provider, svn_auth_ssl_client_cert_prompt_func_t prompt_func, void *prompt_baton, int retry_limit, apr_pool_t *pool)
| Create and return *provider, an authentication provider of type svn_auth_cred_ssl_client_cert_t, allocated in pool.
void | svn_client_get_ssl_client_cert_pw_prompt_provider (svn_auth_provider_object_t **provider, svn_auth_ssl_client_cert_pw_prompt_func_t prompt_func, void *prompt_baton, int retry_limit, apr_pool_t *pool)
| Create and return *provider, an authentication provider of type svn_auth_cred_ssl_client_cert_pw_t, allocated in pool.

## Detailed Description

The new authentication system allows the RA layer to "pull" information as needed from libsvn_client.

Deprecated
  Replaced by the svn_auth_* functions.

See also
  Authentication functions

## Function Documentation

## svn_client_get_simple_prompt_provider()

void svn_client_get_simple_prompt_provider | ( | svn_auth_provider_object_t ** | provider,
|  | svn_auth_simple_prompt_func_t | prompt_func,
|  | void * | prompt_baton,
|  | int | retry_limit,
|  | apr_pool_t * | pool )

Create and return *provider, an authentication provider of type svn_auth_cred_simple_t that gets information by prompting the user with prompt_func and prompt_baton.

Allocate *provider in pool.

If both SVN_AUTH_PARAM_DEFAULT_USERNAME and SVN_AUTH_PARAM_DEFAULT_PASSWORD are defined as runtime parameters in the `auth_baton`, then *provider will return the default arguments when svn_auth_first_credentials() is called. If svn_auth_first_credentials() fails, then *provider will re-prompt retry_limit times (via svn_auth_next_credentials()). For infinite retries, set retry_limit to value less than 0.

Deprecated
  Provided for backward compatibility with the 1.3 API. Use svn_auth_get_simple_prompt_provider() instead.

References SVN_DEPRECATED.

## svn_client_get_simple_provider()

void svn_client_get_simple_provider | ( | svn_auth_provider_object_t ** | provider,
|  | apr_pool_t * | pool )

Create and return *provider, an authentication provider of type svn_auth_cred_simple_t that gets/sets information from the user's ~/.subversion configuration directory.

Allocate *provider in pool.

If a default username or password is available, *provider will honor them as well, and return them when svn_auth_first_credentials() is called. (see SVN_AUTH_PARAM_DEFAULT_USERNAME and SVN_AUTH_PARAM_DEFAULT_PASSWORD).

Deprecated
  Provided for backward compatibility with the 1.3 API. Use svn_auth_get_simple_provider2() instead.

References SVN_DEPRECATED.

## svn_client_get_ssl_client_cert_file_provider()

void svn_client_get_ssl_client_cert_file_provider | ( | svn_auth_provider_object_t ** | provider,
|  | apr_pool_t * | pool )

Create and return *provider, an authentication provider of type svn_auth_cred_ssl_client_cert_t, allocated in pool.

*provider retrieves its credentials from the configuration mechanism. The returned credential is used to load the appropriate client certificate for authentication when requested by a server.

Deprecated
  Provided for backward compatibility with the 1.3 API. Use svn_auth_get_ssl_client_cert_file_provider() instead.

References SVN_DEPRECATED.

## svn_client_get_ssl_client_cert_prompt_provider()

void svn_client_get_ssl_client_cert_prompt_provider | ( | svn_auth_provider_object_t ** | provider,
|  | svn_auth_ssl_client_cert_prompt_func_t | prompt_func,
|  | void * | prompt_baton,
|  | int | retry_limit,
|  | apr_pool_t * | pool )

Create and return *provider, an authentication provider of type svn_auth_cred_ssl_client_cert_t, allocated in pool.

*provider retrieves its credentials by using the prompt_func and prompt_baton. The returned credential is used to load the appropriate client certificate for authentication when requested by a server. The prompt will be retried retry_limit times. For infinite retries, set retry_limit to value less than 0.

Deprecated
  Provided for backward compatibility with the 1.3 API. Use svn_auth_get_ssl_client_cert_prompt_provider() instead.

References SVN_DEPRECATED.

## svn_client_get_ssl_client_cert_pw_file_provider()

void svn_client_get_ssl_client_cert_pw_file_provider | ( | svn_auth_provider_object_t ** | provider,
|  | apr_pool_t * | pool )

Create and return *provider, an authentication provider of type svn_auth_cred_ssl_client_cert_pw_t, allocated in pool.

*provider retrieves its credentials from the configuration mechanism. The returned credential is used when a loaded client certificate is protected by a passphrase.

Deprecated
  Provided for backward compatibility with the 1.3 API. Use svn_auth_get_ssl_client_cert_pw_file_provider2() instead.

References SVN_DEPRECATED.

## svn_client_get_ssl_client_cert_pw_prompt_provider()

void svn_client_get_ssl_client_cert_pw_prompt_provider | ( | svn_auth_provider_object_t ** | provider,
|  | svn_auth_ssl_client_cert_pw_prompt_func_t | prompt_func,
|  | void * | prompt_baton,
|  | int | retry_limit,
|  | apr_pool_t * | pool )

Create and return *provider, an authentication provider of type svn_auth_cred_ssl_client_cert_pw_t, allocated in pool.

*provider retrieves its credentials by using the prompt_func and prompt_baton. The returned credential is used when a loaded client certificate is protected by a passphrase. The prompt will be retried retry_limit times. For infinite retries, set retry_limit to value less than 0.

Deprecated
  Provided for backward compatibility with the 1.3 API. Use svn_auth_get_ssl_client_cert_pw_prompt_provider() instead.

## svn_client_get_ssl_server_trust_file_provider()

void svn_client_get_ssl_server_trust_file_provider | ( | svn_auth_provider_object_t ** | provider,
|  | apr_pool_t * | pool )

Create and return *provider, an authentication provider of type svn_auth_cred_ssl_server_trust_t, allocated in pool.

*provider retrieves its credentials from the configuration mechanism. The returned credential is used to override SSL security on an error.

Deprecated
  Provided for backward compatibility with the 1.3 API. Use svn_auth_get_ssl_server_trust_file_provider() instead.

References SVN_DEPRECATED.

## svn_client_get_ssl_server_trust_prompt_provider()

void svn_client_get_ssl_server_trust_prompt_provider | ( | svn_auth_provider_object_t ** | provider,
|  | svn_auth_ssl_server_trust_prompt_func_t | prompt_func,
|  | void * | prompt_baton,
|  | apr_pool_t * | pool )

Create and return *provider, an authentication provider of type svn_auth_cred_ssl_server_trust_t, allocated in pool.

*provider retrieves its credentials by using the prompt_func and prompt_baton. The returned credential is used to override SSL security on an error.

Deprecated
  Provided for backward compatibility with the 1.3 API. Use svn_auth_get_ssl_server_trust_prompt_provider() instead.

References SVN_DEPRECATED.

## svn_client_get_username_prompt_provider()

void svn_client_get_username_prompt_provider | ( | svn_auth_provider_object_t ** | provider,
|  | svn_auth_username_prompt_func_t | prompt_func,
|  | void * | prompt_baton,
|  | int | retry_limit,
|  | apr_pool_t * | pool )

Create and return *provider, an authentication provider of type svn_auth_cred_username_t that gets information by prompting the user with prompt_func and prompt_baton.

Allocate *provider in pool.

If SVN_AUTH_PARAM_DEFAULT_USERNAME is defined as a runtime parameter in the `auth_baton`, then *provider will return the default argument when svn_auth_first_credentials() is called. If svn_auth_first_credentials() fails, then *provider will re-prompt retry_limit times (via svn_auth_next_credentials()). For infinite retries, set retry_limit to value less than 0.

Deprecated
  Provided for backward compatibility with the 1.3 API. Use svn_auth_get_username_prompt_provider() instead.

References SVN_DEPRECATED.

## svn_client_get_username_provider()

void svn_client_get_username_provider | ( | svn_auth_provider_object_t ** | provider,
|  | apr_pool_t * | pool )

Create and return *provider, an authentication provider of type svn_auth_cred_username_t that gets/sets information from a user's ~/.subversion configuration directory.

Allocate *provider in pool.

If a default username is available, *provider will honor it, and return it when svn_auth_first_credentials() is called. (see SVN_AUTH_PARAM_DEFAULT_USERNAME).

Deprecated
  Provided for backward compatibility with the 1.3 API. Use svn_auth_get_username_provider() instead.

References SVN_DEPRECATED.

## svn_client_get_windows_simple_provider()

void svn_client_get_windows_simple_provider | ( | svn_auth_provider_object_t ** | provider,
|  | apr_pool_t * | pool )

Create and return *provider, an authentication provider of type svn_auth_cred_simple_t that gets/sets information from the user's ~/.subversion configuration directory.

Allocate *provider in pool.

This is like svn_client_get_simple_provider(), except that, when running on Window 2000 or newer (or any other Windows version that includes the CryptoAPI), the provider encrypts the password before storing it to disk. On earlier versions of Windows, the provider does nothing.

Since
  New in 1.2.

Note
  This function is only available on Windows.
  An administrative password reset may invalidate the account's secret key. This function will detect that situation and behave as if the password were not cached at all.

Deprecated
  Provided for backward compatibility with the 1.3 API. Use svn_auth_get_windows_simple_provider() instead.

References SVN_DEPRECATED.